linux-armadaxp: 3.2.0-1628.40 -proposed tracker

Bug #1251434 reported by Brad Figg on 2013-11-14
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Medium
Ike Panhc
Certification-testing
Medium
Unassigned
Prepare-package
Medium
Ike Panhc
Prepare-package-meta
Medium
Ike Panhc
Promote-to-proposed
Medium
Adam Conrad
Promote-to-security
Medium
Adam Conrad
Promote-to-updates
Medium
Adam Conrad
Regression-testing
Medium
Ike Panhc
Security-signoff
Medium
Unassigned
Upload-to-ppa
Medium
Ike Panhc
Verification-testing
Medium
Ike Panhc
linux-armadaxp (Ubuntu)
Medium
Unassigned
Precise
Medium
Ike Panhc

Bug Description

This bug is for tracking the 3.2.0-1628.40 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Thursday, 14. November 2013 21:27 UTC
kernel-stable-master-bug:1250622
kernel-stable-Certification-testing-end:Tuesday, 19. November 2013 06:08 UTC
kernel-stable-Security-signoff-end:Tuesday, 19. November 2013 06:08 UTC
kernel-stable-Prepare-package-end:Tuesday, 19. November 2013 09:06 UTC
kernel-stable-Promote-to-proposed-start:Tuesday, 19. November 2013 09:06 UTC
kernel-stable-Promote-to-proposed-end:Tuesday, 19. November 2013 20:07 UTC
kernel-stable-Verification-testing-start:Tuesday, 19. November 2013 22:06 UTC
kernel-stable-Regression-testing-start:Tuesday, 19. November 2013 22:06 UTC
kernel-stable-Verification-testing-end:Wednesday, 20. November 2013 02:05 UTC
kernel-stable-Promote-to-updates-start:Tuesday, 03. December 2013 09:01 UTC
kernel-stable-Regression-testing-end:Tuesday, 03. December 2013 09:00 UTC
kernel-stable-Promote-to-updates-end:Wednesday, 04. December 2013 00:00 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Wednesday, 04. December 2013 01:01 UTC

This tracking bug was opened to be worked from linux-3.2.0-57.87 update (bug 1250622)

tags: added: kernel-release-tracking-bug
tags: added: armhf
tags: added: precise
Changed in kernel-sru-workflow:
status: New → In Progress
importance: Undecided → Medium
Changed in linux-armadaxp (Ubuntu):
importance: Undecided → Medium
Changed in linux-armadaxp (Ubuntu Precise):
importance: Undecided → Medium
Ike Panhc (ikepanhc) on 2013-11-19
summary: - linux-armadaxp: <version to be filled> -proposed tracker
+ linux-armadaxp: 3.2.0-1628.40 -proposed tracker
description: updated
Changed in linux-armadaxp (Ubuntu Precise):
assignee: nobody → Ike Panhc (ikepanhc)
status: New → In Progress
Changed in linux-armadaxp (Ubuntu):
status: New → Invalid
Changed in kernel-sru-workflow:
assignee: nobody → Ike Panhc (ikepanhc)
Brad Figg (brad-figg) on 2013-11-19
description: updated

All builds are complete, packages in this bug can be copied to -proposed.

description: updated
Adam Conrad (adconrad) wrote :

Copied to -proposed and overrides adjusted.

Brad Figg (brad-figg) on 2013-11-19
description: updated
Brad Figg (brad-figg) on 2013-11-19
description: updated
Ike Panhc (ikepanhc) wrote :

Rebase only

Brad Figg (brad-figg) on 2013-11-20
description: updated
Ike Panhc (ikepanhc) wrote :

Smoke testing of reboot, smp, ethernet, sata is passed

The regression-testing task was set to Fix Released but neither the qa-testing-passed or qa-testing-failed tag was applied

Changed in kernel-sru-workflow:
status: In Progress → Incomplete
description: updated
Ike Panhc (ikepanhc) on 2013-12-03
tags: added: qa-testing-passed
Changed in kernel-sru-workflow:
status: Incomplete → In Progress
Brad Figg (brad-figg) on 2013-12-03
description: updated
Launchpad Janitor (janitor) wrote :
Download full text (12.2 KiB)

This bug was fixed in the package linux-armadaxp - 3.2.0-1628.40

---------------
linux-armadaxp (3.2.0-1628.40) precise-proposed; urgency=low

  [ Ike Panhc ]

  * Release Tracking Bug
    - LP: #1251434
  * Rebase onto Ubuntu-3.2.0-57.87

  [ Ubuntu: 3.2.0-57.87 ]

  * Release Tracking Bug
    - LP: #1250622
  * tools -- upgrade to common generic helper
    - LP: #1205284
  * SAUCE: backport ARM seccomp-bpf support
    - LP: #1183616
  * SAUCE: ACPI battery: fix compiler warning
    - LP: #1247154
  * [Config] updateconfigs: CONFIG_HAVE_AOUT=n for arm
  * Revert "sctp: fix call to SCTP_CMD_PROCESS_SACK in
    sctp_cmd_interpreter()"
    - LP: #1249089
  * xen/blkback: Check device permissions before allowing OP_DISCARD
    - LP: #1091187
    - CVE-2013-2140
  * zram: allow request end to coincide with disksize
    - LP: #1246664
  * ARM: 7373/1: add support for the generic syscall.h interface
    - LP: #1183616
  * ARM: 7577/1: arch/add syscall_get_arch
    - LP: #1183616
  * htb: fix sign extension bug
    - LP: #1249089
  * net: check net.core.somaxconn sysctl values
    - LP: #1249089
  * fib_trie: remove potential out of bound access
    - LP: #1249089
  * tcp: cubic: fix overflow error in bictcp_update()
    - LP: #1249089
  * tcp: cubic: fix bug in bictcp_acked()
    - LP: #1249089
  * ipv6: don't stop backtracking in fib6_lookup_1 if subtree does not
    match
    - LP: #1249089
  * 8139cp: Add dma_mapping_error checking
    - LP: #1249089
  * tun: signedness bug in tun_get_user()
    - LP: #1249089
  * ipv6: remove max_addresses check from ipv6_create_tempaddr
    - LP: #1249089
  * ipv6: drop packets with multiple fragmentation headers
    - LP: #1249089
  * ipv6: Don't depend on per socket memory for neighbour discovery
    messages
    - LP: #1249089
  * net: bridge: convert MLDv2 Query MRC into msecs_to_jiffies for
    max_delay
    - LP: #1249089
  * ICMPv6: treat dest unreachable codes 5 and 6 as EACCES, not EPROTO
    - LP: #1249089
  * tipc: fix lockdep warning during bearer initialization
    - LP: #1249089
  * HID: hidraw: put old deallocation mechanism in place
    - LP: #1249089
  * HID: hidraw: correctly deallocate memory on device disconnect
    - LP: #1249089
  * xen-gnt: prevent adding duplicate gnt callbacks
    - LP: #1249089
  * ath9k: always clear ps filter bit on new assoc
    - LP: #1249089
  * libceph: unregister request in __map_request failed and nofail == false
    - LP: #1249089
  * usb: config->desc.bLength may not exceed amount of data returned by the
    device
    - LP: #1249089
  * USB: cdc-wdm: fix race between interrupt handler and tasklet
    - LP: #1249089
  * powerpc: Handle unaligned ldbrx/stdbrx
    - LP: #1249089
  * intel-iommu: Fix leaks in pagetable freeing
    - LP: #1249089
  * ath9k: fix rx descriptor related race condition
    - LP: #1249089
  * ath9k: avoid accessing MRC registers on single-chain devices
    - LP: #1249089
  * ASoC: wm8960: Fix PLL register writes
    - LP: #1249089
  * rculist: list_first_or_null_rcu() should use list_entry_rcu()
    - LP: #1249089
  * USB: mos7720: use GFP_ATOMIC under spinlock
    - LP: #1249089
  * USB: mos7720: fix big-endian control requests
    ...

Changed in linux-armadaxp (Ubuntu Precise):
status: In Progress → Fix Released
status: In Progress → Fix Released
Brad Figg (brad-figg) on 2013-12-04
description: updated

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers